CVE-2004-0176

Current Description

Multiple buffer overflows in Ethereal 0.8.13 to 0.10.2 allow remote attackers to cause a denial of service and possibly execute arbitrary code via the (1) NetFlow, (2) IGAP, (3) EIGRP, (4) PGM, (5) IrDA, (6) BGP, (7) ISUP, or (8) TCAP dissectors.

Basic Data

PublishedMay 04, 2004
Last ModifiedOctober 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:N/I:N/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactNONE
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score5.0
SeverityMEDIUM
Exploitability Score10.0
Impact Score2.9
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationEthereal GroupEthereal0.8.13*******
    2.3ApplicationEthereal GroupEthereal0.8.14*******
    2.3ApplicationEthereal GroupEthereal0.8.18*******
    2.3ApplicationEthereal GroupEthereal0.8.19*******
    2.3ApplicationEthereal GroupEthereal0.9*******
    2.3ApplicationEthereal GroupEthereal0.9.1*******
    2.3ApplicationEthereal GroupEthereal0.9.2*******
    2.3ApplicationEthereal GroupEthereal0.9.3*******
    2.3ApplicationEthereal GroupEthereal0.9.4*******
    2.3ApplicationEthereal GroupEthereal0.9.5*******
    2.3ApplicationEthereal GroupEthereal0.9.6*******
    2.3ApplicationEthereal GroupEthereal0.9.7*******
    2.3ApplicationEthereal GroupEthereal0.9.8*******
    2.3ApplicationEthereal GroupEthereal0.9.9*******
    2.3ApplicationEthereal GroupEthereal0.9.10*******
    2.3ApplicationEthereal GroupEthereal0.9.11*******
    2.3ApplicationEthereal GroupEthereal0.9.12*******
    2.3ApplicationEthereal GroupEthereal0.9.13*******
    2.3ApplicationEthereal GroupEthereal0.9.14*******
    2.3ApplicationEthereal GroupEthereal0.9.15*******
    2.3ApplicationEthereal GroupEthereal0.9.16*******
    2.3ApplicationEthereal GroupEthereal0.10*******
    2.3ApplicationEthereal GroupEthereal0.10.1*******
    2.3ApplicationEthereal GroupEthereal0.10.2*******

Vulnerable Software List

VendorProductVersions
Ethereal Group Ethereal 0.10, 0.10.1, 0.10.2, 0.8.13, 0.8.14, 0.8.18, 0.8.19, 0.9, 0.9.1, 0.9.10, 0.9.11, 0.9.12, 0.9.13, 0.9.14, 0.9.15, 0.9.16, 0.9.2, 0.9.3, 0.9.4, 0.9.5, 0.9.6, 0.9.7, 0.9.8, 0.9.9

References

NameSourceURLTags
CLA-2004:835http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000835CONECTIVA
20040323 Advisory 03/2004: Multiple (13) Ethereal remote overflowshttp://marc.info/?l=bugtraq&m=108007072215742&w=2BUGTRAQ
20040329 LNSA-#2004-0007: Multiple security problems in Etherealhttp://marc.info/?l=bugtraq&m=108058005324316&w=2BUGTRAQ
20040416 [OpenPKG-SA-2004.015] OpenPKG Security Advisory (ethereal)http://marc.info/?l=bugtraq&m=108213710306260&w=2BUGTRAQ
11185http://secunia.com/advisories/11185SECUNIA
http://security.e-matters.de/advisories/032004.htmlhttp://security.e-matters.de/advisories/032004.htmlMISC
GLSA-200403-07http://security.gentoo.org/glsa/glsa-200403-07.xmlGENTOO
DSA-511http://www.debian.org/security/2004/dsa-511DEBIANPATCH Vendor Advisory
http://www.ethereal.com/appnotes/enpa-sa-00013.htmlhttp://www.ethereal.com/appnotes/enpa-sa-00013.htmlCONFIRM
VU#119876http://www.kb.cert.org/vuls/id/119876CERT-VNUS Government Resource
VU#125156http://www.kb.cert.org/vuls/id/125156CERT-VNUS Government Resource
VU#433596http://www.kb.cert.org/vuls/id/433596CERT-VNUS Government Resource
VU#591820http://www.kb.cert.org/vuls/id/591820CERT-VNUS Government Resource
VU#644886http://www.kb.cert.org/vuls/id/644886CERT-VNUS Government Resource
VU#659140http://www.kb.cert.org/vuls/id/659140CERT-VNUS Government Resource
VU#740188http://www.kb.cert.org/vuls/id/740188CERT-VNUS Government Resource
VU#864884http://www.kb.cert.org/vuls/id/864884CERT-VNUS Government Resource
VU#931588http://www.kb.cert.org/vuls/id/931588CERT-VNUS Government Resource
MDKSA-2004:024http://www.mandriva.com/security/advisories?name=MDKSA-2004:024MANDRAKE
6893http://www.osvdb.org/6893OSVDB
RHSA-2004:136http://www.redhat.com/support/errata/RHSA-2004-136.htmlREDHAT
RHSA-2004:137http://www.redhat.com/support/errata/RHSA-2004-137.htmlREDHAT
ethereal-multiple-dissectors-bo(15569)https://exchange.xforce.ibmcloud.com/vulnerabilities/15569XF
oval:org.mitre.oval:def:10187https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10187OVAL
oval:org.mitre.oval:def:878https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A878OVAL
oval:org.mitre.oval:def:887https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A887OVAL